Refresh catalog
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/{catalogId}/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"executeActivation": false,
"adcpAgentIds": []
}
'{
"catalog": {
"catalog_id": "<string>",
"platform_id": "<string>",
"catalog_version_id": "<string>",
"catalog_version_number": 123,
"content_hash": "<string>",
"item_count": 4503599627370495,
"items_approved": 4503599627370495,
"items_pending": 4503599627370495,
"items_rejected": 4503599627370495,
"item_changes": {
"added": 0,
"updated": 0,
"unchanged": 0,
"removed": 0
},
"activation_plan_id": "<string>",
"item_issues": [
{
"issue": "<string>",
"item_id": "<string>",
"field": "<string>"
}
],
"last_synced_at": "2023-11-07T05:31:56Z",
"next_fetch_at": "2023-11-07T05:31:56Z",
"error": "<string>"
},
"refreshRun": {
"refreshRunId": "<string>",
"httpStatus": 0,
"sourceContentHash": "<string>",
"itemCount": 4503599627370495,
"activationSkippedReason": "<string>",
"error": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
},
"activation": {
"plan": {
"planId": "<string>",
"catalogId": "<string>",
"platformCatalogId": "<string>",
"catalogVersionId": "<string>",
"transformId": "<string>",
"planHash": "<string>",
"itemCount": 4503599627370495,
"campaignGroups": [
{
"key": "<string>",
"name": "<string>",
"fieldValues": {},
"itemIds": [
"<string>"
],
"itemCount": 4503599627370495,
"budget": {
"amount": 1,
"currency": "<string>"
}
}
],
"creativeAssets": [
{
"key": "<string>",
"prompt": "<string>",
"fieldValues": {},
"itemIds": [
"<string>"
],
"itemCount": 4503599627370495
}
],
"syndicationTargets": [
{
"adcpAgentId": "<string>",
"usesTransformedCatalog": true,
"requiresCreativeAssembly": true,
"creativeAgentId": "<string>",
"reason": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
},
"execution": {
"executionId": "<string>",
"planId": "<string>",
"catalogId": "<string>",
"platformCatalogId": "<string>",
"catalogVersionId": "<string>",
"transformId": "<string>",
"steps": [
{
"stepId": "<string>",
"targetAdcpAgentId": "<string>",
"creativeAssetKey": "<string>",
"campaignGroupKey": "<string>",
"error": "<string>"
}
],
"creativeGenerationRequests": [
{
"requestId": "<string>",
"creativeAssetKey": "<string>",
"prompt": "<string>",
"targetAdcpAgentId": "<string>",
"creativeAgentId": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}
}Advertisers
Refresh catalog
Fetch the latest URL-backed catalog feed, create a new version when content changes, and optionally execute the active activation plan.
POST
/
advertisers
/
{advertiserId}
/
catalogs
/
{catalogId}
/
refresh
Refresh catalog
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/{catalogId}/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"executeActivation": false,
"adcpAgentIds": []
}
'{
"catalog": {
"catalog_id": "<string>",
"platform_id": "<string>",
"catalog_version_id": "<string>",
"catalog_version_number": 123,
"content_hash": "<string>",
"item_count": 4503599627370495,
"items_approved": 4503599627370495,
"items_pending": 4503599627370495,
"items_rejected": 4503599627370495,
"item_changes": {
"added": 0,
"updated": 0,
"unchanged": 0,
"removed": 0
},
"activation_plan_id": "<string>",
"item_issues": [
{
"issue": "<string>",
"item_id": "<string>",
"field": "<string>"
}
],
"last_synced_at": "2023-11-07T05:31:56Z",
"next_fetch_at": "2023-11-07T05:31:56Z",
"error": "<string>"
},
"refreshRun": {
"refreshRunId": "<string>",
"httpStatus": 0,
"sourceContentHash": "<string>",
"itemCount": 4503599627370495,
"activationSkippedReason": "<string>",
"error": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
},
"activation": {
"plan": {
"planId": "<string>",
"catalogId": "<string>",
"platformCatalogId": "<string>",
"catalogVersionId": "<string>",
"transformId": "<string>",
"planHash": "<string>",
"itemCount": 4503599627370495,
"campaignGroups": [
{
"key": "<string>",
"name": "<string>",
"fieldValues": {},
"itemIds": [
"<string>"
],
"itemCount": 4503599627370495,
"budget": {
"amount": 1,
"currency": "<string>"
}
}
],
"creativeAssets": [
{
"key": "<string>",
"prompt": "<string>",
"fieldValues": {},
"itemIds": [
"<string>"
],
"itemCount": 4503599627370495
}
],
"syndicationTargets": [
{
"adcpAgentId": "<string>",
"usesTransformedCatalog": true,
"requiresCreativeAssembly": true,
"creativeAgentId": "<string>",
"reason": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
},
"execution": {
"executionId": "<string>",
"planId": "<string>",
"catalogId": "<string>",
"platformCatalogId": "<string>",
"catalogVersionId": "<string>",
"transformId": "<string>",
"steps": [
{
"stepId": "<string>",
"targetAdcpAgentId": "<string>",
"creativeAssetKey": "<string>",
"campaignGroupKey": "<string>",
"error": "<string>"
}
],
"creativeGenerationRequests": [
{
"requestId": "<string>",
"creativeAssetKey": "<string>",
"prompt": "<string>",
"targetAdcpAgentId": "<string>",
"creativeAgentId": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}
}Authorizations
API key or access token
Path Parameters
Advertiser ID
Minimum string length:
1Buyer-assigned catalog_id or platform catalog id returned by list catalogs
Minimum string length:
1Body
application/json
When true, a successful refresh with an active transform immediately saves/executes the latest activation plan, creating creative-generation and syndication jobs.
Optional seller agents to evaluate/execute for activation after refresh. If omitted, enabled catalog syndication targets are used.
Minimum string length:
1⌘I